import request from '@/utils/request'

/**
 * 工作人员记录分页查询
 * @param {查询条件} data
 */
export function listCamWorker(query) {
  return request({
    url: 'business/CamWorker/list',
    method: 'get',
    params: query,
  })
}

/**
 * 新增工作人员记录
 * @param data
 */
export function addCamWorker(data) {
  return request({
    url: 'business/CamWorker',
    method: 'post',
    data: data,
  })
}
/**
 * 修改工作人员记录
 * @param data
 */
export function updateCamWorker(data) {
  return request({
    url: 'business/CamWorker',
    method: 'PUT',
    data: data,
  })
}
/**
 * 获取工作人员记录详情
 * @param {Id}
 */
export function getCamWorker(id) {
  return request({
    url: 'business/CamWorker/' + id,
    method: 'get'
  })
}

/**
 * 删除工作人员记录
 * @param {主键} pid
 */
export function delCamWorker(pid) {
  return request({
    url: 'business/CamWorker/delete/' + pid,
    method: 'POST'
  })
}
